Bug 669048 - Cannot rebuild curl if libnih-devel installed
Summary: Cannot rebuild curl if libnih-devel installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: curl
Version: 6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Kamil Dudka
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-12 15:15 UTC by Miroslav Vadkerti
Modified: 2011-05-19 13:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A rebuild operation for curl failed if the libnih-devel package was installed. This is now fixed to allow a rebuild whether libnih-devel is installed, not installed or has a broken installation.
Clone Of:
: 669059 (view as bug list)
Environment:
Last Closed: 2011-05-19 13:12:31 UTC
Target Upstream Version:


Attachments (Terms of Use)
change of curl.spec to work around bug #669059 (1.06 KB, patch)
2011-01-13 10:25 UTC, Kamil Dudka
ovasik: review+
Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0573 0 normal SHIPPED_LIVE curl bug fix update 2011-05-18 17:57:02 UTC

Description Miroslav Vadkerti 2011-01-12 15:15:14 UTC
Description of problem:

Rebuild of curl if libnih-devel package installed fails:

oRpmCommand-result (256): 
FAILED to rebuild /mnt/redhat/brewroot/packages/curl/7.19.7/17.el6/src/curl-7.19.7-17.el6.src.rpm -- return code 256
REBUILD: FAIL for curl-7.19.7-17.el6.src.rpm
BUILDLOG: curl-7.19.7-17.el6.src.rpm-x86_64-rebuild.log contains full details.  Reports from make and rpmbuild, with line numbers:
858-
859-+ sed -i -e 's,-L/usr/lib ,,g;s,-L/usr/lib64 ,,g;s,-L/usr/lib$,,g;s,-L/usr/lib64$,,g' Makefile libcurl.pc
860-+ sed -i -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
861-+ make -j2
862-Makefile:234: *** missing separator.  Stop.
863:error: Bad exit status from /var/tmp/rpm-tmp.LnOI1n (%build)

Version-Release number of selected component (if applicable):
curl-7.19.7-17.el6

How reproducible:
100%

Steps to Reproduce:
1. rebuild curl with libnih-devel installed
  
Actual results:
curl can be rebuilt

Expected results:
rebuild fails

Additional info:

Comment 1 Miroslav Vadkerti 2011-01-12 15:16:24 UTC
If this is a bug in curl I can modify RHTS test /CoreOS/curl/Sanity/selftest to require libnih-devel to have this covered

Comment 2 Kamil Dudka 2011-01-12 15:37:41 UTC
This is a bug of the libnih package, now tracked separately as bug 669059 .  I'll try to come with a workaround for curl.

Comment 3 Kamil Dudka 2011-01-13 10:25:49 UTC
Created attachment 473285 [details]
change of curl.spec to work around bug #669059

It should cover the following three cases:

1) libnih-devel not installed
2) broken libnih-devel installed
3) fixed libnih-devel installed

Comment 9 Miroslav Vadkerti 2011-04-12 08:05:18 UTC
Beaker test
/CoreOS/curl/Sanity/selftest 
now builts curl with and without libnih-devel installed

Comment 11 Misha H. Ali 2011-04-20 01:42:30 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A rebuild operation for curl failed if the libnih-devel package was installed. This is now fixed to allow a rebuild whether libnih-devel is installed, not installed or has a broken installation.

Comment 12 errata-xmlrpc 2011-05-19 13:12:31 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0573.html


Note You need to log in before you can comment on or make changes to this bug.